import { Component, OnInit } from '@angular/core';
import { Router, RouterModule, Routes } from '@angular/router';

@Component({
  selector: 'app-login',
  templateUrl: './login.page.html',
  styleUrls: ['./login.page.scss'],
})
export class LoginPage implements OnInit {

  username: string|undefined;
  password: string|undefined;

  constructor(private router: Router) {}

  ngOnInit() {}

  login() {
    // 实现登录逻辑，这里简单演示，你可以根据需要连接实际的身份验证服务
    if (this.username === 'admin' && this.password === 'password') {
      // 登录成功，跳转到另一个页面（例如主页）
      this.router.navigate(['/home']);
    } else {
      // 处理登录失败的情况，例如显示错误消息
      console.log('Login failed');
    }
  }

}
